Tester btrfs avec un noyau récent : quelle version de btrfs-tools utiliser ?

Le
Francois Lafont
Bonsoir à tous, :)

Je souhaiterais m'initier à btrfs. Attention, ce n'est pas pour
ma machine perso, ce serait plus sur des machines de tests, dans
l'optique, un jour peut-être, de l'utiliser sur des serveurs

Bref, du coup, pour l'instant je souhaiterais simplement tester
btrfs sur des machines de tests, typiquement des Ubuntu server
14.04. J'ai lu ici où là que globalement, avec btrfs, plus le
noyau était récent mieux c'était. Sur Ubuntu, il est assez simple
d'installer des noyaux récents car il y a des .deb tout faits.
Imaginons dans la suite du fil que, par exemple, j'installe un
noyau 3.19. Ensuite, il faut que j'installe les outils btrfs-tools
(pour monter, formater mes partitions btrfs etc). Sur la Ubuntu,
si je fais un simple :

# Installation du package par défaut proposé sur Ubuntu 14.04
# qui utilise de base un noyau 3.13.
apt-get install btrfs-tools

je vais me retrouver avec des outils btrfs correspondant au module
"btrfs" du noyau par défaut de ma Ubuntu, ie du noyau 3.13, alors
que le noyau en place sur le système est dans la version 3.19.

- Est-ce que cela va poser un problème ?
- Pas de problème pour installer btrfs-tools via ses sources, seulement
quelle version dois-je compiler et installer pour avoir des outils
en phase avec la version de mon noyau ie 3.19 ? (J'ai pris 3.19 au
hasard comme j'aurais pu dire 3.18 ou 4.0. ;))

Voilà, ça, c'était la question qui motive ce post.

Question annexe:
Sinon, en question annexe, est-ce que certains parmi vous ont
des retours d'expériences de btrfs sur des serveurs ? En
terme de stabilité, de perf etc. Et sinon, sur vos desktop,
vous avez tenté ? Pas de souci ? Quelle version du noyau ?
C'est un peu l'arlésienne ce btrfs quand même, non ? Et puis
faut dire qu'avec les file systems, on ose pas trop prendre
de risque non plus. ;)

Merci d'avance pour votre aide.

--
François Lafont
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Doug713705
Le #26348486
Le 08-04-2015, Francois Lafont nous expliquait dans
fr.comp.os.linux.configuration
(
Et sinon, sur vos desktop, vous avez tenté ?



Oui.

Pas de souci ?



Non à part que c'était plutôt lent (comparé à reiserfs) et qu'à
l'époque il n'existait pas de fsck pour btrfs chez Debian.

C'était la partition home de mon seul PC qui n'était un eeePC.
Ben oui, y'a des fois comme ça je suis un peu dingue ;-)

J'ai ensuite viré cette Debian et suis repasser sous Slackware tout en
gardant la même partition home et je n'ai pas remarquer de problème.

Par contre, de mémoire, Slackware fournissait un fsck mais je ne
saurais dire s'il était efficace.

Quelle version du noyau ?



Euh... C'était une Debian stable à juillet 2011, donc une wheezy si je
ne m'abuse. Les adorateurs de la saint spirale confrmeront (ou pas).

Quoiqu'il en soit c'était il y a déjà quasi 4 ans, ça a donc du
sacrément évolué et le cas échéant ton éventuel retour d'expérience
m'interessera.

--
Mais l'ombre des plaisirs s'enfuit
Toujours plus loin vers l'inconnu.
-- H.F. Thiéfaine, La môme kaléïdoscope
Doug713705
Le #26348500
(supersedes)
Le 08-04-2015, Francois Lafont nous expliquait dans
fr.comp.os.linux.configuration
(
Et sinon, sur vos desktop, vous avez tenté ?



Oui.

Pas de souci ?



Non à part que c'était plutôt lent (comparé à reiserfs) et qu'à
l'époque il n'existait pas de fsck pour btrfs chez Debian.

C'était la partition home de mon seul PC qui n'était qu'un eeePC.
Ben oui, y'a des fois comme ça je suis un peu dingue ;-)

J'ai ensuite viré cette Debian et suis repasser sous Slackware tout en
gardant la même partition home et je n'ai pas remarqué de problème.

Par contre, de mémoire, Slackware fournissait un fsck mais je ne
saurais dire s'il était efficace.

Quelle version du noyau ?



Euh... C'était une Debian stable à juillet 2011, donc une wheezy si je
ne m'abuse. Les adorateurs de la sainte spirale confrmeront (ou pas).

Quoiqu'il en soit c'était il y a déjà quasi 4 ans, ça a donc du
sacrément évolué et le cas échéant ton éventuel retour d'expérience
m'interessera.

--
Mais l'ombre des plaisirs s'enfuit
Toujours plus loin vers l'inconnu.
-- H.F. Thiéfaine, La môme kaléïdoscope
mireero
Le #26348571
On 04/08/2015 11:33 PM, Francois Lafont wrote:
# Installation du package par défaut proposé sur Ubuntu 14.04
# qui utilise de base un noyau 3.13.
apt-get install btrfs-tools

je vais me retrouver avec des outils btrfs correspondant au module
"btrfs" du noyau par défaut de ma Ubuntu, ie du noyau 3.13, alors
que le noyau en place sur le système est dans la version 3.19.



Comme tu le dis, btrfs (comme tout système de fichier sur Linux) est
implémenté dans le noyau.

- Est-ce que cela va poser un problème ?



Je sais pas, ça dépend. Si tu parles du système de fichier, y'a pas de
raison pour qu'il se retrouve corrompu.
Si tu parles de ton interface avec le système de fichier (btrfs-tools),
c'est moins sûr.

Néanmoins, je crois que depuis le temps qu'ils y sont, ils ont du
décider d'assurer une compatibilité montante/descendante, enfin je dis ça...

- Pas de problème pour installer btrfs-tools via ses sources, seulement
quelle version dois-je compiler et installer pour avoir des outils
en phase avec la version de mon noyau ie 3.19 ? (J'ai pris 3.19 au
hasard comme j'aurais pu dire 3.18 ou 4.0. ;))



Ce serait moi, j'installerais les dernières sources "stables", et si ça
"casse", j'irais voir sur leur site et l'évolution des versions avec mon
message d'erreur.

Il y a un an à peu près, j'avais 2 linux en multiboot qui se
partageaient la partition btrfs créée sur le plus âgé.
A chaque fois que je bootais une fois sur l'ancien puis sur le plus
récent, j'avais droit à un petit message et il me disait qu'il avait
corrigé le petit truc et c'était tout bon.
Quand je remontais la partition sur l'ancien, ça fonctionnait
silencieusement.

En tout cas ça marchait bien je trouve et j'ai particulièrement apprécié
les snapshots avec le copy on write.

Voilà, ça, c'était la question qui motive ce post.

Question annexe:
Sinon, en question annexe, est-ce que certains parmi vous ont
des retours d'expériences de btrfs sur des serveurs ? En
terme de stabilité, de perf etc. Et sinon, sur vos desktop,
vous avez tenté ? Pas de souci ? Quelle version du noyau ?
C'est un peu l'arlésienne ce btrfs quand même, non ? Et puis
faut dire qu'avec les file systems, on ose pas trop prendre
de risque non plus.;)

Merci d'avance pour votre aide.




--
mireero
Nicolas George
Le #26348612
Francois Lafont , dans le message
Je souhaiterais m'initier à btrfs. Attention, ce n'est pas pour
ma machine perso, ce serait plus sur des machines de tests, dans
l'optique, un jour peut-être, de l'utiliser sur des serveurs...



Ça ne répond pas à ta question, c'est juste un retour d'expérience assez
prématuré :

On a récemment remplacé, pour les backups « facilement accessibles » d'une
machine, rsnapshot sur ssh vers un filesystem quelconque par du rsync sur
ssh normal vers du btrfs et des snapshots à l'arrivée (et l'option --inplace
de rsync, indispensable), et le gain d'efficacité est impressionnant.

Il faut dire qu'une grande partie de la sauvegarde était formée de fichiers
mbox, donc des gros fichiers qui changent : entre deux rsnapshot, tout était
dupliqué (coût en place et en temps), alors que btrfs partage tout ce qui
peut l'être.
Francois Lafont
Le #26350855
Bonjour à tous,

Merci à tous pour vos réponses et désolé pour ma réponse si tardive.

Juste pour information, j'ai pu avoir quelques éléments de réponses
sur IRC par rapport à ma question sur la version de btrfs-tools à utiliser
par rapport à la version du noyau installé.

Je vous copie-colle la conversation IRC verbatim (en anglais) que j'ai
eue sur le channel #btrfs de Freenode comme ça vous pourrez vous faire
votre propre idée mais globalement ce que j'en comprends c'est qu'utiliser
un btrfs-tools le plus récent possible est l'idéal mais ce n'est pas crucial
non plus dans le sens où une « ancienne » version de btrfs-tools ne formatera
pas un btrfs sous une forme incompréhensible pour un noyau récent (la
structure du filesystem btrfs en elle-même ne doit plus changer depuis un
certain temps).

@Doug: pas de problème pour faire ici un retour d'impression le cas échéant
mais ça ne sera pas pour tout de suite. ;)

François Lafont

PS: ci-dessous la conversation IRC (flaf c'est moi ;)).

flaf | Hi, I would like to test btrfs on Ubuntu 14.04. The kernel │
| in this Ubuntu is 3.13 by default but I can install a more │
| recent kernel (3.19 for instance) with │
| http://kernel.ubuntu.com/~kernel-ppa/mainline/. But my │
| question is, in this case which version of "btrfs-tools" │
| should I install? │
darkling | It doesn't matter too much. │
darkling | The only thing really, is that it's useful to have as │
| recent tools as possible, so if something goes wrong, │
| you've got them to hand. │
flaf | Ah, but there is no relation between the kernel version │
| (and the btrfs module) and the btrfs-tools version used... │
| Correct? │
darkling | Correct. │
flaf | But there is necessarily dependencies between the brtfs │
| module of the kernel and the brtfs tools, no? It will be │
| logical? │
darkling | There's not much in the way of dependencies. │
darkling | The only real difference is when there's a new feature. │
| You'll then need the new kernel to be able to use it, and a │
| userspace that's recent enough to know about it in order to │
| control the feature. │
flaf | So if I summarize, with my 3.19 kernel on my Ubuntu 14.04, │
| I can use the default brtfs-tools package already │
| available, there is no problem but, if I want to use │
| specific new features, it's better to install a recent │
| version of btrfs-tools. That's correct? │
darkling | Yes. │
darkling | Plus, as I mentioned earlier, the recovery tools are │
| probably more capable in later versions. │
flaf | Ok, ok, thx darkling for your help. ;) │
Publicité
Poster une réponse
Anonyme